#ifndef PROPERTY_EDITOR_COLOR_RECT_H
#define PROPERTY_EDITOR_COLOR_RECT_H
#include "property_editor.h"
namespace ECS
{
namespace Items
{
// color rect editor
struct ColorRectPropertyEditor : DPropertyEditor {
    bool DrawGridSelectorInTableCell(const char *id, ImVec2 &outValue,
                     float cellSize = 20.0f);
    bool _matches(const std::string &itemName,
              const nlohmann::json::json_pointer &ptr,
              const nlohmann::json &j) override;
    void _render(flecs::entity entity,
             const nlohmann::json::json_pointer &ptr,
             nlohmann::json &j) override;
    ColorRectPropertyEditor();
};
}
}
#endif // PROPERTY_EDITOR_COLOR_RECT_H
